
Infrastructure - Task #1402

Bug # 1202 (Closed): java d1 client create() implementation not to spec.

conflicting documentation about location of pid parameter in mn.create()

2011-03-02 04:58 - Rob Nahf

Status: Closed Start date: 2011-03-02

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.11-Block.2   

Milestone:  Story Points:  

Product Version: *   

Description

compare Rest URL format in

http://mule1.dataone.org/ArchitectureDocs-current/apis/MN_APIs.html#MN_crud.create

with general rules for POST (whereby all parameters need to be contained in message body), and parent story

Need to remove the "/{pid}" from "object/{pid}" in the Rest URL listing on the MN API page

History

#1 - 2011-03-02 05:01 - Rob Nahf

also need to remove {pid} in the create listing in the table at top of MN API page

#2 - 2011-03-02 18:46 - Rob Nahf

from discussion at stand-up, decided to keep the pid at the end of the url path for POSTS (create).  In the context of different interpretations of POST

and PUT semantics, consistency within dataONE Rest calls was considered more important.  (all other http verbs have the pid at the end for CRUD

operations).

#3 - 2011-03-02 18:49 - Rob Nahf

- Status changed from New to In Progress

#4 - 2011-03-22 13:49 - Dave Vieglais

- Status changed from In Progress to Closed

Docs reflect the decision to use the form POST /object/{pid} to create content.
